org.apache.ignite.internal.visor.tracing.configuration

## Class VisorTracingConfigurationItem

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.tracing.configuration.VisorTracingConfigurationItem

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  VisorTracingConfigurationTaskArg

    public class VisorTracingConfigurationItem
    extends IgniteDataTransferObject

Data transfer object that contains scope, label, sampling rate and set of included scopes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorTracingConfigurationItem()` Default constructor.
`VisorTracingConfigurationItem(Scope scope, String lb, Double samplingRate, Set<Scope> includedScopes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Set<Scope>` `includedScopes()`
`String` `label()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`Double` `samplingRate()`
`Scope` `scope()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTracingConfigurationItem

    public VisorTracingConfigurationItem()

Default constructor.

#### VisorTracingConfigurationItem

    public VisorTracingConfigurationItem(Scope scope,
                                         String lb,
                                         Double samplingRate,
                                         Set<Scope> includedScopes)

Constructor.

Parameters:
  `scope` - Specifies the `Scope` of a trace's root span to which some specific tracing configuration will be applied.
  `lb` - Specifies the label of a traced operation. It's an optional attribute.
  `samplingRate` - Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always. Default value is 0 (never).
  `includedScopes` - Set of `Scope` that defines which sub-traces will be included in given trace. In other words, if child's span scope is equals to parent's scope or it belongs to the parent's span included scopes, then given child span will be attached to the current trace, otherwise it'll be skipped. See `Span.isChainable(Scope)` for more details.

### Method Detail

#### scope

    public Scope scope()

Returns:
  Specifies the of a trace's root span to which some specific tracing configuration will be applied. It's a mandatory attribute.

#### label

    public String label()

Returns:
  Specifies the label of a traced operation. It's an optional attribute.

#### samplingRate

    public Double samplingRate()

Returns:
  Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always. Default value is 0 (never).

#### includedScopes

    public Set<Scope> includedScopes()

Returns:
  Set of that defines which sub-traces will be included in given trace. In other words, if child's span scope is equals to parent's scope or it belongs to the parent's span included scopes, then given child span will be attached to the current trace, otherwise it'll be skipped. See for more details.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022